<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\KursDetails\Detailsreiter\Dozenten;

class DozentenReiterView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'hausmeister/kursdetails/detailsreiter/dozentenreiter.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getHeaderExportAdapter()
  {
    return new \ExpKurse();
  }

  protected function getFooterDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpKurse();
  }
}

class DozentenReiterViewModel
{
  public $kurs;
}